﻿@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.Tb_AdmissEmpHist>
@using SSCMvc.Models

 @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
       string refadd= CommonUtil.HomeAddress(utype);
        }
<table class="table" style="width: 700px">
    <tr>
        <th>
            Sr No
        </th>
        <th>
            Position Held
        </th>
        <th>
            From Date
        </th>
        <th>
            To Date
        </th>
        <th>
            Company
        </th>
        <th>
            Job Responsibility
        </th>
        <th>
        </th>
    </tr>
    @{int i = 0;
      string bgcolor = "oddrow";
    }
    @foreach (var item in Model)
    {
        if (i % 2 == 0)
        {
            bgcolor = "evenrow";
        }
        else
        {
            bgcolor = "oddrow";
        }
        i++;
        <tr class="@bgcolor">
            <td>
                @Html.DisplayFor(modelItem => item.SrNo)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PositionHeld)
            </td>
            <td>
            @{string fdate = string.Format("{0:dd MMM,yyyy}", item.Fdate);
                }
                @fdate
            </td>
            <td>
            @{
              string tdate = string.Format("{0:dd MMM,yyyy}", item.Tdate);
    }
                @tdate
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Company)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.JobResponsibility)
            </td>
            <td>
                @{
              SSCWebDBEntities1 qual = new SSCWebDBEntities1();
              object admissid = qual.Tb_AdmissEmpHist.Where(z => z.Id == item.Id).Select(z => z.AdmissionId).First();
                
                }
                @{ 
              string myurl = Request.Url.ToString();

              if (myurl.Contains("Edit"))
              { 
                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "EmploymentHisEdit", "MaAdmission", new { id = item.Id, @admisid = admissid, @course = "Edit" }, null, null)
              }
              else
              {
                    
                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "EmploymentHisEdit", "MaAdmission", new { id = item.Id, @admisid = admissid, @course = "No" }, null, null)
              }
                }
                 @{if (utype == CommonUtil.UserTypeSuperAdmin)
                   {
                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "DeleteEmpHist", "MaAdmission", new { id = item.Id }, new { @class = "delete-link" }, null)
                   }
    }
            </td>
        </tr>
    }
</table>
